#! /usr/bin/env python
from circlemeter import *

class CPUMeter( Monitor ):
    def __init__( self, scfg, skin ):
        self.config = scfg.items( 'CPUMeter' )
        Monitor.__init__( self, self.config, skin )
    
    def update_dict( self ):
        x = sg_get_cpu_percents()
        self.dict['idle'] = int(round(x['idle']))
        self.dict['used'] = 100 - int(round(x['idle']))
            
    def update_deg( self ):
        self.deg = 360 * self.dict['used'] / 100

cpu = CPUMeter( scfg, skin )
Circle_meter( cpu ).pause()
