from circlemeter import *

class DownMeter( Monitor ):
    def __init__( self, scfg, skin ):
        self.config = scfg.items( 'DownMeter' )
        Monitor.__init__( self, self.config, skin )
    
    def update_dict( self ):
        x = sg_get_network_io_stats_diff()
        x = x[2]
        if x['systime'] != 0:
            self.dict['dspeed'] = x['rx'] / 1024 / x['systime']
        else:
            self.dict['dspeed'] = 0
            
    def update_deg( self ):
        self.deg = 360 * self.dict['dspeed'] / 120

cpu = DownMeter( scfg, skin )
Circle_meter( cpu ).pause()
