from circlemeter import *

class SwapMeter( Monitor ):
    def __init__( self, scfg, skin ):
        self.config = scfg.items( 'SwapMeter' )
        Monitor.__init__( self, self.config, skin )
    
    def update_dict( self ):
        x = sg_get_swap_stats()
        self.dict['total'] = int(round( x['total'] / 1024 / 1024 ))
        self.dict['used'] = int(round(x['used'] / 1024 / 1024 ))
        self.dict['usedperc'] = int(round(float(x['used']) / float(x['total']) * 100))
            
    def update_deg( self ):
        self.deg = 360 * self.dict['used'] / self.dict['total']

cpu = SwapMeter( scfg, skin )
Circle_meter( cpu ).pause()
